Open CASCADE Technology: TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfInteger Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfInteger Class Reference

`#include <TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfInteger.hxx>`

Inheritance diagram for TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfInteger:
[legend]

## Public Member Functions
| TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfInteger ()
| TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfInteger (const TDataStd_DataMapOfStringHArray1OfInteger &aMap)
void | Initialize (const TDataStd_DataMapOfStringHArray1OfInteger &aMap)
const TCollection_ExtendedString & | Key () const
const Handle< TColStd_HArray1OfInteger > & | Value () const
Public Member Functions inherited from TCollection_BasicMapIterator
void | Reset ()
| Resets the iterator to the first node. More...
Standard_Boolean | More () const
| Returns true if there is a current entry for this iterator in the map. Use the function Next to set this iterator to the position of the next entry, if it exists. More...
void | Next ()
| Sets this iterator to the position of the next entry of the map. Nothing is changed if there is no more entry to explore in the map: this iterator is always positioned on the last entry of the map but the function More returns false. More...

## Additional Inherited Members
Protected Member Functions inherited from TCollection_BasicMapIterator
| TCollection_BasicMapIterator ()
| Creates an empty iterator. More...
| TCollection_BasicMapIterator (const TCollection_BasicMap &M)
| Initialize on the first node in the buckets. More...
void | Initialize (const TCollection_BasicMap &M)
| Initialize on the first node in the buckets. More...
Protected Attributes inherited from TCollection_BasicMapIterator
Standard_Address | myNode

## Constructor & Destructor Documentation

TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfInteger::TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfInteger | ( |  | ) |

TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfInteger::TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfInteger | ( | const TDataStd_DataMapOfStringHArray1OfInteger & | aMap | ) |

## Member Function Documentation

void TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfInteger::Initialize | ( | const TDataStd_DataMapOfStringHArray1OfInteger & | aMap | ) |

const TCollection_ExtendedString& TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfInteger::Key | ( |  | ) | const

const Handle< TColStd_HArray1OfInteger >& TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfInteger::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- TDataStd_DataMapIteratorOfDataMapOfStringHArray1OfInteger.hxx